PASC/long Covid - Data Fix #6320
Motlhala study locator information
24/08/2022 13:25 - lkanyeng Rulaganyang

Status: Resolved
Priority: Normal
Assignee: Nimrod Munatsi
Category:

Target version:

Start date:
Due date:
% Done:

Estimated time:

Spent time:

24/08/2022
29/08/2022
0%

0.00 hour
0.00 hour

Description

Delete record 001

History

#1 - 29/08/2022 07:59 - Nimrod Munatsi
- Due date set to 29/08/2022

#2 - 08/09/2022 08:18 - Nimrod Munatsi
- Status changed from New to Resolved

25/04/2025
